// creator  : weidu.exe (version 23100)
// argument : EXCULT1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~EXCULT1~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~Global("TalkedToSassar","GLOBAL",0)
!Dead("Sassar")
!StateCheck("Sassar",STATE_SLEEPING)~ THEN BEGIN 0 // from:
  SAY #23026 /* ~Is... is someone there?  Sassar?~ */
  IF ~~ THEN EXTERN ~SASSAR~ 0
END

IF ~Global("SassarJob","GLOBAL",0)
~ THEN BEGIN 1 // from:
  SAY #23050 /* ~I be Garuk, my friend... the good Sassar helped me flee from the cult several weeks ago and we have been running and hiding e'er since.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #23118 /* ~We have tried to retrieve a piece of the mystic rod to defeat the beholder... but we can do little without our eyes or the sight bestowed by the creature.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #23119 /* ~'Tis frustrating.  No clan warrior am I without a set of eyes... Sassar be far better off.  Talk to him again... help us gain this rod and stop the beholder!~ */
  IF ~~ THEN REPLY #23120 /* ~Very well... I will talk to Sassar again about it.~ */ GOTO 4
  IF ~~ THEN REPLY #23121 /* ~I don't know... perhaps.~ */ GOTO 5
  IF ~~ THEN REPLY #23122 /* ~I have my own agenda.  Out of my way.~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #23123 /* ~You have the gratitude of an old dwarf, me friend.  Anything you could do t' help us would be of great aid!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.1
  SAY #23124 /* ~I am an old and proud dwarf, me friend, and I beg of ye to help us stop the beholder!  I have no eyes yet I will fight to me last breath to kill it!  Please...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 3.2
  SAY #23125 /* ~Argh, ye be a cold one to refuse us!  If the beholder takes another life, it'll be on yer conscience!~ */
  IF ~~ THEN EXIT
END

IF ~Global("SassarJob","GLOBAL",1)
~ THEN BEGIN 7 // from:
  SAY #23129 /* ~You have our thanks, friend!  We have been able to do only so much against the beholder without our eyes!  Clangeddin watch over ye!~ */
  IF ~~ THEN EXIT
END
